#!/bin/bash

# merge_cov.sh <src> <cov> -- merge coverage info into src file

# pass arguments
src=$1 ; shift
cov=$1 ; shift

# expand cov so it has a line for each line in src
cat $cov \
    | awk 'BEGIN      { num = 1 }
           $2 != num  { for (n=num ; n<$2 ; n++) { print n,0 ; num++ } }
                      { print $2,$3 ; num++ }' - > merge_cov.1

# finish if short some lines at the end
nlines_1=`cat merge_cov.1 | wc -l`
nlines_1=$(( $nlines_1 + 1 ))
nlines_src=`cat $src | wc -l`
for (( n=$nlines_1 ; n <= $nlines_src ; n=n+1 ))
do echo $n 0 
done >> merge_cov.1

## prepend coverage counts to src lines
paste merge_cov.1 $src

rm -f merge_cov.1
rm -f merge_cov.2

