# This script is to be sourced into another script.

# traps.sh -- set up traps, etc. for bash shell scipts.

# NOTICE:  This only works with the bash shell !!

# This script is to be sourced into another shell script to permit
# tracing of shell script execution.  The trace, which is captured in
# the file trace.log, contains a line-by-line trace of the script's
# execution.  This data, in turn, is used by the shell script coverage
# package to determine and display execution coverage of the traced
# script(s).  Coverage is useful for determining how thorough testing
# is.


#set -o 2>&1 | grep -q pipefail && set -o pipefail || true

set -o pipefail
set -o errexit
set -o noclobber
set -o nounset

# trap errors to get a backtrace
trap 'echo "ERR [$$] $(pwd)/${0}:${LINENO}: trapped $?." ; exit 1' ERR

# debug trap give line-by-line trace of script execution
if [ "${__KSH_TRACE__:-"no"}" == "yes" ]
then trap 'echo "$(pwd)/$0:$LINENO: $(tail -n +$LINENO $(pwd)/$0 | head -n 1)" >> trace.log' DEBUG
fi

